zenilib: PSAux_ServiceRec_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
PSAux_ServiceRec_ Struct Reference

`#include <psaux.h>`

## Public Attributes

const AFM_Parser_FuncsRec * | afm_parser_funcs
const PS_Parser_FuncsRec * | ps_parser_funcs
const PS_Table_FuncsRec * | ps_table_funcs
const T1_Builder_FuncsRec * | t1_builder_funcs
T1_CMap_Classes | t1_cmap_classes
const T1_Decoder_FuncsRec * | t1_decoder_funcs
void(* | t1_decrypt )(FT_Byte *buffer, FT_Offset length, FT_UShort seed)

## Detailed Description

Definition at line 794 of file psaux.h.

## Member Data Documentation

const AFM_Parser_FuncsRec* PSAux_ServiceRec_::afm_parser_funcs

Definition at line 810 of file psaux.h.

Referenced by parse_afm(), and T1_Read_Metrics().

const PS_Parser_FuncsRec* PSAux_ServiceRec_::ps_parser_funcs

Definition at line 798 of file psaux.h.

const PS_Table_FuncsRec* PSAux_ServiceRec_::ps_table_funcs

Definition at line 797 of file psaux.h.

Referenced by parse_charstrings(), parse_encoding(), parse_subrs(), t42_parse_charstrings(), and t42_parse_encoding().

const T1_Builder_FuncsRec* PSAux_ServiceRec_::t1_builder_funcs

Definition at line 799 of file psaux.h.

T1_CMap_Classes PSAux_ServiceRec_::t1_cmap_classes

Definition at line 807 of file psaux.h.

Referenced by T1_Face_Init(), and T42_Face_Init().

const T1_Decoder_FuncsRec* PSAux_ServiceRec_::t1_decoder_funcs

Definition at line 800 of file psaux.h.

Referenced by cid_slot_load_glyph(), T1_Compute_Max_Advance(), and T1_Get_Advances().

void(* PSAux_ServiceRec_::t1_decrypt)(FT_Byte *buffer, FT_Offset length, FT_UShort seed)

Definition at line 803 of file psaux.h.

Referenced by cid_read_subrs(), parse_charstrings(), and parse_subrs().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/include/freetype/internal/psaux.h